ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vladimir Ozerov (JIRA)" <j...@apache.org>
Subject [jira] [Created] (IGNITE-6732) Java 9: Hadoop module should not start on Java 9
Date Tue, 24 Oct 2017 13:33:00 GMT
Vladimir Ozerov created IGNITE-6732:
---------------------------------------

             Summary: Java 9: Hadoop module should not start on Java 9
                 Key: IGNITE-6732
                 URL: https://issues.apache.org/jira/browse/IGNITE-6732
             Project: Ignite
          Issue Type: Task
      Security Level: Public (Viewable by anyone)
          Components: hadoop
    Affects Versions: 2.3
            Reporter: Vladimir Ozerov
             Fix For: 2.4


Hadoop module heavily relies on the fact that application class loader is {{URLClassLoader}}.
It is used to inspect class path and hack it in various ways. But in Java 9 another class
loader type is used. 

Looks like there is no simple solution at the moment. Let's check for Java version during
startup and throw an exception if it Java 9 or later.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message